diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 0e73cdcdda..466861e0e7 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -861,7 +861,7 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
 
       <tbody>
        <row>
-        <entry morerows="63"><literal>LWLock</literal></entry>
+        <entry morerows="67"><literal>LWLock</literal></entry>
         <entry><literal>ShmemIndexLock</literal></entry>
         <entry>Waiting to find or allocate space in shared memory.</entry>
        </row>
@@ -1139,6 +1139,25 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
          <entry>Waiting to allocate or exchange a chunk of memory or update
          counters during Parallel Hash plan execution.</entry>
         </row>
+        <row>
+         <entry><literal>session_dsa</literal></entry>
+         <entry>Waiting for per-session dynamic shared memory allocation
+         lock.</entry>
+        </row>
+        <row>
+         <entry><literal>session_record_table</literal></entry>
+         <entry>Waiting to access a shared record type cache by
+         structure.</entry>
+        </row>
+        <row>
+         <entry><literal>session_typmod_table</literal></entry>
+         <entry>Waiting to access a shared record type cache by
+         typmod.</entry>
+        </row>
+        <row>
+         <entry><literal>shared_tuplestore</literal></entry>
+         <entry>Waiting to access a shared tuplestore.</entry>
+        </row>
         <row>
          <entry morerows="9"><literal>Lock</literal></entry>
          <entry><literal>relation</literal></entry>
